Berkeley DB version 5.1.19

## com.sleepycat.db
Class ReplicationHostAddress

    java.lang.Object
      com.sleepycat.db.ReplicationHostAddress

    public class ReplicationHostAddress

extends Object

A simple wrapper class to hold information needed to define a host in a replication group.

The ReplicationHostAddress can be used to refer to the current site, or to a remote site in the replication group.

Used in the `EnvironmentConfig.replicationManagerAddRemoteSite` and the `EnvironmentConfig.setReplicationManagerLocalSite` methods.

Field Summary
`String` `host` The name component of the site address.
`int` `port` The network port component of the site address.

Constructor Summary
`ReplicationHostAddress()` Create a ReplicationHostAddress with default settings.
`ReplicationHostAddress(String host, int port)` Create a ReplicationHostAddress with user defined host and port information.

Method Summary
`boolean` `equals(Object o)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### port

    public int port

  The network port component of the site address.

### host

    public String host

  The name component of the site address. Can be a fully qualified name, or a dotted format address in String format.

Constructor Detail

### ReplicationHostAddress

    public ReplicationHostAddress()

  Create a ReplicationHostAddress with default settings.

  This is likely not what you want. The current default is host: localhost and port 0.

  Only use this constructor if you plan to configure the object fields manually after construction.

### ReplicationHostAddress

    public ReplicationHostAddress(String host,
                                  int port)

  Create a ReplicationHostAddress with user defined host and port information.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Berkeley DB version 5.1.19

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.